#ifndef _KASVIRUNKO_HPP_
#define _KASVIRUNKO_HPP_

#include <stdio.h>
#include "../externs.hpp"
#include "../bpm.hpp"

const float growTime = 0.001f;

class Runkopala 
{
public:
	Vector pos;
	float life;
	void updateAndDraw(float pos);
};

class Kasvirunko : public Base
{
	public:

		Kasvirunko();
		~Kasvirunko();

		bool init(unsigned long s, unsigned long e);
		void draw();

	private:
		void renderScene(float pos, float alpha);

		Texture *trunkTex;

		Lista *trunk;
};

#endif
